aboutsummaryrefslogtreecommitdiffstats
path: root/centos/sources
diff options
context:
space:
mode:
authorAndrew Lewis <nerf@judo.za.org>2014-01-03 21:55:00 +0200
committerAndrew Lewis <nerf@judo.za.org>2014-01-03 21:55:00 +0200
commit19826e5a95d991a6d966cd7a67795077ffb6ddf1 (patch)
tree6f5654cf51324e3ef89abc8334da19f0f78c2026 /centos/sources
parentf11da523576c2cc1d07e1d9baa99572479bf42eb (diff)
downloadrspamd-19826e5a95d991a6d966cd7a67795077ffb6ddf1.tar.gz
rspamd-19826e5a95d991a6d966cd7a67795077ffb6ddf1.zip
Fix SLES support & OpenSUSE 12 builds on build service
Diffstat (limited to 'centos/sources')
-rw-r--r--centos/sources/rspamd.init.suse111
-rw-r--r--centos/sources/rspamd.service14
2 files changed, 125 insertions, 0 deletions
diff --git a/centos/sources/rspamd.init.suse b/centos/sources/rspamd.init.suse
new file mode 100644
index 000000000..e34cef914
--- /dev/null
+++ b/centos/sources/rspamd.init.suse
@@ -0,0 +1,111 @@
+#!/bin/sh
+#
+# rspamd - this script starts and stops the rspamd daemon
+### BEGIN INIT INFO
+# Provides: rspamd
+# Required-Start: $remote_fs $network
+# Required-Stop: $network $remote_fs
+# Default-Start: 5
+# Default-Stop:
+# Short-Description: Rspamd daemon
+# Description: Rspamd spam filtering daemon process
+### END INIT INFO
+#
+# chkconfig: - 85 15
+# description: rspamd is a spam filtering system
+# processname: rspamd
+# config: /etc/rspamd/rspamd.conf
+# config: /etc/sysconfig/rspamd
+# pidfile: /var/lib/rspamd/rspamd.pid
+
+. /etc/rc.status
+
+rc_reset
+
+rspamd="/usr/bin/rspamd"
+prog=$(basename $rspamd)
+
+RSPAMD_CONF_FILE="/etc/rspamd/rspamd.conf"
+RSPAMD_USER="rspamd"
+RSPAMD_GROUP="rspamd"
+
+[ -f /etc/sysconfig/rspamd ] && . /etc/sysconfig/rspamd
+
+start() {
+ [ -x $rspamd ] || exit 5
+ [ -f $rspamd_CONF_FILE ] || exit 6
+ echo -n $"Starting $prog: "
+ /sbin/startproc $rspamd -c $RSPAMD_CONF_FILE -u $RSPAMD_USER -g $RSPAMD_GROUP
+ rh_status
+}
+
+stop() {
+ echo -n $"Stopping $prog: "
+ /sbin/killproc -TERM $prog
+ rc_status -v
+}
+
+restart() {
+ configtest || return $?
+ stop
+ start
+}
+
+reload() {
+ configtest || return $?
+ echo -n $"Reloading $prog: "
+ /sbin/killproc -HUP $prog
+ rc_status -v
+}
+
+force_reload() {
+ restart
+}
+
+configtest() {
+ $rspamd -t -c $RSPAMD_CONF_FILE
+}
+
+rh_status() {
+ /sbin/checkproc $prog
+ retval=$?
+ rc_status -v
+ return $retval
+}
+
+rh_status_q() {
+ /sbin/checkproc $prog
+ retval=$?
+ rc_status
+ return $retval
+}
+
+case "$1" in
+ start)
+ rh_status_q && exit 0
+ $1
+ ;;
+ stop)
+ rh_status_q || exit 0
+ $1
+ ;;
+ restart|configtest)
+ $1
+ ;;
+ reload)
+ rh_status_q || exit 7
+ $1
+ ;;
+ force-reload)
+ force_reload
+ ;;
+ status)
+ rh_status
+ ;;
+ condrestart|try-restart)
+ rh_status_q || exit 0
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload|configtest}"
+ exit 2
+esac
diff --git a/centos/sources/rspamd.service b/centos/sources/rspamd.service
new file mode 100644
index 000000000..eec4cd9ea
--- /dev/null
+++ b/centos/sources/rspamd.service
@@ -0,0 +1,14 @@
+[Unit]
+Description=rspamd
+After=syslog.target network.target remote-fs.target nss-lookup.target
+
+[Service]
+Type=simple
+PIDFile=/var/lib/rspamd/rspamd.pid
+ExecStartPre=/usr/bin/rspamd -u rspamd -g rspamd -t
+ExecStart=/usr/bin/rspamd -u rspamd -g rspamd -f
+ExecReload=/bin/kill -s HUP $MAINPID
+ExecStop=/bin/kill -s QUIT $MAINPID
+
+[Install]
+WantedBy=multi-user.target